<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Reset Email</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="resetEmailForm" class="ion-padding">
    <ion-item lines="full">
      <ion-label position="floating">Current Password</ion-label>
      <ion-input
        [type]="hidePassword ? 'text' : 'password'"
        formControlName="password"
      ></ion-input>
      <div
        slot="end"
        class="password-eye"
        (click)="hidePassword = !hidePassword"
      >
        <ion-icon name="eye-outline" *ngIf="hidePassword"></ion-icon>
        <ion-icon name="eye-off-outline" *ngIf="!hidePassword"></ion-icon>
      </div>
    </ion-item>
    <div
      class="app-input-error"
      *ngIf="resetEmailForm.controls.password.dirty && resetEmailForm.controls.password.touched"
    >
      <span *ngIf="resetEmailForm.controls.password.hasError('required')"
        >This Current Password is required</span
      >
      <span *ngIf="resetEmailForm.controls.password.hasError('pattern')"
        >A lowercase character, 8-20 characters, A number, An uppercase
        character, A special character (!@#$%^&*)</span
      >
    </div>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Email</ion-label>
      <ion-input type="email" formControlName="email"></ion-input>
    </ion-item>
    <div
      class="app-input-error"
      *ngIf="resetEmailForm.controls.email.dirty && resetEmailForm.controls.email.touched"
    >
      <span *ngIf="resetEmailForm.controls.email.hasError('required')"
        >This Email is required</span
      >
      <span *ngIf="resetEmailForm.controls.email.hasError('pattern')"
        >This Email is not valid</span
      >
    </div>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Confirm Email</ion-label>
      <ion-input type="email" formControlName="confirmEmail"></ion-input>
    </ion-item>
    <div
      class="app-input-error"
      *ngIf="resetEmailForm.controls.confirmEmail.dirty && resetEmailForm.controls.confirmEmail.touched"
    >
      <span *ngIf="resetEmailForm.controls.confirmEmail.hasError('required')"
        >This Email is required</span
      >
      <span *ngIf="resetEmailForm.controls.confirmEmail.hasError('pattern')"
        >This Email is not valid</span
      >
      <span *ngIf="resetEmailForm.controls.confirmEmail.hasError('matching')"
        >This Email not match</span
      >
    </div>
  </form>
</ion-content>

<ion-footer class="ion-no-border">
  <ion-toolbar>
    <ion-button
      color="primary"
      expand="full"
      [disabled]="!resetEmailForm.valid"
      (click)="resetEmail()"
      >Reset Email</ion-button
    >
  </ion-toolbar>
</ion-footer>

<ion-modal [isOpen]="openModal">
  <ng-template>
    <app-confirmation-modal
      class="full-height-modal"
      [data]="data"
      (closeModal)="openModal = false"
      (eventData)="codeEntered($event)"
    ></app-confirmation-modal>
  </ng-template>
</ion-modal>
